org.apache.ignite.internal.processors.platform

## Class PlatformAbstractPredicate

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  PlatformCacheEntryFilterImpl, PlatformClusterNodeFilterImpl, PlatformMessageFilterImpl, PlatformStreamReceiverImpl

    public abstract class PlatformAbstractPredicate
    extends Object
    implements Externalizable

Base interop predicate. Delegates apply to native platform.

See Also:
  Serialized Form

### Field Summary

Fields
`protected PlatformContext` `ctx` Interop processor.
`protected Object` `pred` .Net binary predicate
`protected long` `ptr` Pointer to deployed predicate.

### Constructor Summary

Constructors
`` `PlatformAbstractPredicate()` `Externalizable` support.
`protected` `PlatformAbstractPredicate(Object pred, long ptr, PlatformContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pred

    protected Object pred

.Net binary predicate

#### ptr

    protected transient long ptr

Pointer to deployed predicate.

#### ctx

    protected transient PlatformContext ctx

Interop processor.

### Constructor Detail

#### PlatformAbstractPredicate

    public PlatformAbstractPredicate()

`Externalizable` support.

#### PlatformAbstractPredicate

    protected PlatformAbstractPredicate(Object pred,
                                        long ptr,
                                        PlatformContext ctx)

Constructor.

Parameters:
  `pred` - .Net binary predicate.
  `ptr` - Pointer to predicate in the native platform.
  `ctx` - Kernal context.

### Method Detail

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020